intelhex_record_t Struct Reference

## Data Fields

uint8_t | dataCount
uint32_t | address
uint8_t | type
uint8_t | data [256]
uint8_t | checksum

## Field Documentation

uint32_t address

The address offset of the data.

uint8_t checksum

The checksum byte used to verify the record.

uint8_t data[256]

Pointer to data, or NULL if no data for this record.

uint8_t dataCount

The number of bytes in the data field.

uint8_t type

Type of the data field. 00: Data 01: End of File 02: Extended Segment Address 03: Start Segment Address 04: Extended Linear Address 05: Start Linear Address

The documentation for this struct was generated from the following file:

- intelhex_image.c